"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __exportStar = (this && this.__exportStar) || function(m, exports) {
    for (var p in m) if (p !== "default" && !Object.prototype.hasOwnProperty.call(exports, p)) __createBinding(exports, m, p);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.wormhole = void 0;
const sdk_connect_1 = require("@wormhole-foundation/sdk-connect");
__exportStar(require("@wormhole-foundation/sdk-connect"), exports);
async function wormhole(network, platformLoaders, config) {
    // make sure all protocols are loaded
    try {
        const platforms = await Promise.all(platformLoaders.map(async (platformLoader) => await platformLoader()));
        await Promise.all(platforms.flatMap(async (p) => Object.values(p.protocols).map(async (loaderFn) => await loaderFn())));
        return new sdk_connect_1.Wormhole(network, platforms.map((p) => p.Platform), config);
    }
    catch (e) {
        console.error("Failed to load required packages", e);
        throw e;
    }
}
exports.wormhole = wormhole;
//# sourceMappingURL=index.js.map