import { Wormhole, } from "@wormhole-foundation/sdk-connect";
export * from "@wormhole-foundation/sdk-connect";
export async function wormhole(network, platformLoaders, config) {
    // make sure all protocols are loaded
    try {
        const platforms = await Promise.all(platformLoaders.map(async (platformLoader) => await platformLoader()));
        await Promise.all(platforms.flatMap(async (p) => Object.values(p.protocols).map(async (loaderFn) => await loaderFn())));
        return new Wormhole(network, platforms.map((p) => p.Platform), config);
    }
    catch (e) {
        console.error("Failed to load required packages", e);
        throw e;
    }
}
//# sourceMappingURL=index.js.map